summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2014-04-10 11:03:58 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-04-10 11:03:58 +0700
commit57ab0c85a9a96d7f39ba9a680e50dd869afa2ec3 (patch)
tree28878fc59264883759f0c3bf3401ec22c8db6428 /libraries
parent800d17b8737b4acdf7d9cae1ec8d402aa9e1e7ad (diff)
downloadslackbuilds-57ab0c85a9a96d7f39ba9a680e50dd869afa2ec3.tar.gz
slackbuilds-57ab0c85a9a96d7f39ba9a680e50dd869afa2ec3.tar.xz
libraries/alure: Added (library to manage tasks with OpenAL).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/alure/README6
-rw-r--r--libraries/alure/alure.SlackBuild97
-rw-r--r--libraries/alure/alure.info10
-rw-r--r--libraries/alure/doinst.sh3
-rw-r--r--libraries/alure/slack-desc19
5 files changed, 135 insertions, 0 deletions
diff --git a/libraries/alure/README b/libraries/alure/README
new file mode 100644
index 0000000000..e458d1634e
--- /dev/null
+++ b/libraries/alure/README
@@ -0,0 +1,6 @@
+ALURE is a utility library to help manage common tasks with OpenAL applications.
+This includes device enumeration and initialization, file loading, and streaming.
+As of version 1.1, it is X11/MIT licensed, allowing it to be used in open- and
+closed-source programs, freeware or commercial.
+
+Optional dependencies: fluidsynth and libmodplug
diff --git a/libraries/alure/alure.SlackBuild b/libraries/alure/alure.SlackBuild
new file mode 100644
index 0000000000..d89084f05f
--- /dev/null
+++ b/libraries/alure/alure.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for alure
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=alure
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DBUILD_STATIC=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/alure/alure.info b/libraries/alure/alure.info
new file mode 100644
index 0000000000..c641f10340
--- /dev/null
+++ b/libraries/alure/alure.info
@@ -0,0 +1,10 @@
+PRGNAM="alure"
+VERSION="1.2"
+HOMEPAGE="http://kcat.strangesoft.net/alure.html"
+DOWNLOAD="http://kcat.strangesoft.net/alure-releases/alure-1.2.tar.bz2"
+MD5SUM="3088aba074ad02d95ea51e705053b9f5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="OpenAL"
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/libraries/alure/doinst.sh b/libraries/alure/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/libraries/alure/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/libraries/alure/slack-desc b/libraries/alure/slack-desc
new file mode 100644
index 0000000000..136a85d7cb
--- /dev/null
+++ b/libraries/alure/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+alure: alure (library to manage tasks with OpenAL)
+alure:
+alure: ALURE is a utility library to help manage common tasks with OpenAL
+alure: applications. This includes device enumeration and initialization,
+alure: file loading, and streaming. As of version 1.1, it is X11/MIT
+alure: licensed, allowing it to be used in open- and closed-source
+alure: programs, freeware or commercial.
+alure:
+alure: Homepage: http://kcat.strangesoft.net/alure.html
+alure:
+alure: